For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
      • GETList webhooks
      • POSTCreate a webhook
      • GETRetrieve a webhook
      • PUTUpdate a webhook
      • DELDelete a webhook
      • GETRetrieve OIDC public keys
LogoLogo
Contact SalesGet Support
Middesk APIWebhooks

Retrieve a webhook

GET
https://api.middesk.com/v1/webhooks/:id
GET
/v1/webhooks/:id
$curl https://api.middesk.com/v1/webhooks/id \
> -H "Authorization: Bearer <token>"
1{
2 "object": "webhook",
3 "id": "f2a3b4c5-d6e7-8901-5678-9abcdef01234",
4 "url": "https://example.com/webhooks/middesk",
5 "enabled_events": [
6 "business.created",
7 "business.updated",
8 "order.completed"
9 ],
10 "created_at": "2025-01-07T12:00:00.000Z",
11 "updated_at": "2025-01-07T12:00:00.000Z"
12}
Was this page helpful?
Previous

Update a webhook

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
Webhook ID

Response

webhook found

Errors

404
Get Webhook Request Not Found Error